#include <iostream>
#include <fcntl.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <stdlib.h>
#include <recver.h>

int main(int argc, char* argv[])
{
   if (argc < 5)
   {
      cout << "usage: " << "recvfile server_ip server_port filename filesize" << endl;
      return 0;
   }

   CSabulRecver* recver = new CSabulRecver;

   try
   {
      recver->open(argv[1], atoi(argv[2]));
   }
   catch(...)
   {
      cout << "Failed to Open New Sabul Connection. Program Aborted." << endl;
      return 0;
   }

   unlink(argv[3]);
   int fd = creat(argv[3], S_IRWXU);

   recver->recvfile(fd, 0, atoi(argv[4]));

   close(fd);

   recver->close();

   return 1;
}
